﻿using Dto;
using Entities;
using ModelToEntities.Business;

namespace Shared.Mapper;

public static class ContentLessonMapper
{
    public static ContentLesson FromDTOToModel(this ContentLessonDTO dto)
    {
        return new ContentLesson(dto.LessonId, dto.LessonPartId);
    }

    public static ContentLesson FromEntityToModel(this ContentLessonEntity ent)
    {
        return new ContentLesson(ent.LessonId, ent.LessonPartId);
    }

    public static ContentLessonDTO FromModelToDTO(this ContentLesson les)
    {
        return new ContentLessonDTO(les.LessonId, les.LessonPartId);
    }

    public static ContentLessonDTO FromEntityToDTO(this ContentLessonEntity ent)
    {
        return new ContentLessonDTO(ent.LessonId, ent.LessonPartId);
    }

    public static ContentLessonEntity FromModelToEntity(this ContentLesson les)
    {
        return new ContentLessonEntity(les.LessonId, new LessonEntity(les.LessonId), les.LessonPartId,
            new ParagraphEntity(les.LessonPartId));
    }
}